Loading...
Searching...
No Matches
ne10_fir_decimate_instance_f32_t Struct Reference

Instance structure for the floating-point FIR Decimation. More...

`#include <NE10_types.h>`

## Public Attributes

ne10_uint8_t | M
| Decimation Factor.
ne10_uint16_t | numTaps
| Length of the filter.
ne10_float32_t * | pCoeffs
| Points to the coefficient array.
ne10_float32_t * | pState
| Points to the state variable array.

## Detailed Description

Instance structure for the floating-point FIR Decimation.

Definition at line 384 of file NE10_types.h.

## Member Data Documentation

## M

ne10_uint8_t ne10_fir_decimate_instance_f32_t::M

Decimation Factor.

Definition at line 386 of file NE10_types.h.

## numTaps

ne10_uint16_t ne10_fir_decimate_instance_f32_t::numTaps

Length of the filter.

Definition at line 387 of file NE10_types.h.

## pCoeffs

ne10_float32_t* ne10_fir_decimate_instance_f32_t::pCoeffs

Points to the coefficient array.

The array is of length numTaps.

Definition at line 388 of file NE10_types.h.

## pState

ne10_float32_t* ne10_fir_decimate_instance_f32_t::pState

Points to the state variable array.

The array is of length numTaps+maxBlockSize-1.

Definition at line 389 of file NE10_types.h.

The documentation for this struct was generated from the following file:

- NE10_types.h